# NOTE: updating beyond 3.3.2 requires various rust packages and build stuff we don't currently have
%global pypi_name cryptography

Name:           python-%{pypi_name}
Version:        37.0.4
Release:        %mkrel 1
Summary:        PyCA's cryptography library
Group:          Development/Python
License:        ASL 2.0 or BSD
URL:            https://pypi.org/project/cryptography/
Source0:        cryptography-%{version}.tar.xz

%description
cryptography is a package designed to expose cryptographic primitives and
recipes to Python developers.

%package -n  python3-%{pypi_name}
Group:          Development/Python
Summary:        %{summary}

Requires:       python3-cffi
Requires:       openssl

%description -n python3-%{pypi_name}
cryptography is a package designed to expose cryptographic primitives and
recipes to Python developers.

%prep

%build

%install
# Install is done from a pre-built wheel using pip because we don't seem to
# have the right rust development stuff to build the sdist
mkdir -p %{buildroot}/%{python3_sitelib}
tar xf %{SOURCE0} -C %{buildroot}/%{python3_sitelib}

# Configure dist-info for rpm
sed -i 's/pip/rpm/' %{buildroot}/%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/INSTALLER
rm -fv %{buildroot}/%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/RECORD
rm -fv %{buildroot}/%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/REQUESTED

%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/


%changelog
* Wed Aug 24 2022 TerryN <terryn94 at gmail.com>  37.0.4-1pclos2022
- update

* Sun Mar 13 2022 TerryN <terryn94 at gmail.com>  3.3.2-1pclos2022
- update and rebuild for python 3.10

* Tue Dec 03 2019 tex - 2.4.2-2pclos2019
- rebuild against updates

* Sun Feb 03 2019 tex 2.4.2-1pclos2019
- created
